site_id: gdqy
site_name: 清远市人民政府
base_url: https://www.gdqy.gov.cn
default_strategy: playwright   # gdqy 部署 ctct 盾，直接上 playwright
concurrency: 1
interval_sec: 10
enabled: true
respect_robots: true

# 任何未在 columns: 中显式列出的 column_id 都自动用这套
default_column:
  list_selector:
    row: "ul.news_list li, ul.list_news li, div.list li"
    href: "a::attr(href)"
    title: "a::text"
    date: "span.date::text, span.time::text, em::text"
  pagination:
    type: page_param
    param: page
    max_pages: 30
  detail:
    title: "h1.article-title::text, h1::text, div.article-title::text"
    publish_time: "span.time::text, div.info span::text, em.time::text"
    source: "span.source::text, div.info em::text"
    content: "div.article-content, div.content, div.TRS_Editor, div.article"
    attachment_css: >-
      a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
      a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip'],
      a[href*='.pdf?'], a[href*='.doc?'], a[href*='.docx?']

columns:
  - column_id: szfwj
    name: 市政府文件
    category: 法规文件
    list_url: https://www.gdqy.gov.cn/gdqy/newxxgk/fgwj/szfwj/
    list_selector:
      row: "ul.news_list li, ul.list_news li, div.list li"
      href: "a::attr(href)"
      title: "a::text"
      date: "span.date::text, span.time::text, em::text"
    pagination:
      type: page_param
      param: page
      max_pages: 30
    detail:
      title: "h1.article-title::text, h1::text, div.article-title::text"
      publish_time: "span.time::text, div.info span::text, em.time::text"
      source: "span.source::text, div.info em::text"
      content: "div.article-content, div.content, div.TRS_Editor, div.article"
      attachment_css: >-
        a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
        a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip'],
        a[href*='.pdf?'], a[href*='.doc?'], a[href*='.docx?']
    schedule: "0 2 * * *"
    enabled: true
